# Interface methods for submodule: RecursiveGaussianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import RecursiveSeparableImageFilterProxy as _RecursiveSeparableImageFilterProxy


# Interface methods for class: RecursiveGaussianImageFilter
class RecursiveGaussianImageFilterProxy(_RecursiveSeparableImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetSigma(self) -> float:
		""""""
		...

	def SetSigma(self, _arg: float) -> None:
		""""""
		...

	def SetNormalizeAcrossScale(self, _arg: bool) -> None:
		""""""
		...

	def GetNormalizeAcrossScale(self) -> bool:
		""""""
		...

	def NormalizeAcrossScaleOn(self) -> None:
		""""""
		...

	def NormalizeAcrossScaleOff(self) -> None:
		""""""
		...

	def SetOrder(self, _arg) -> None:
		""""""
		...

	def GetOrder(self):
		""""""
		...

	def SetZeroOrder(self) -> None:
		""""""
		...

	def SetFirstOrder(self) -> None:
		""""""
		...

	def SetSecondOrder(self) -> None:
		""""""
		...

